> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new tool



## OpenAPI

````yaml post /tools/create
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /tools/create:
    post:
      tags:
        - Tools
      summary: Create a new tool
      operationId: ToolsController_createTool
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateToolDto'
      responses:
        '201':
          description: Tool created successfully
      security:
        - apiKey: []
components:
  schemas:
    CreateToolDto:
      type: object
      properties:
        url:
          type: string
        name:
          type: string
        method:
          type: string
        speech:
          type: string
        headers:
          type: object
        cooldown:
          type: string
        description:
          type: string
        response_data:
          type: array
          items:
            $ref: '#/components/schemas/ResponseDataDto'
      required:
        - url
        - name
        - method
        - speech
        - headers
        - cooldown
        - description
        - response_data
    ResponseDataDto:
      type: object
      properties:
        data:
          type: string
        name:
          type: string
      required:
        - data
        - name
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````